Skip to main content
PATCH
Update a management key

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

management_key_id
string
required

Management key id to update.

Body

application/json
name
string

New name. Omit to keep current.

status
enum<string>

New lifecycle status. Omit to keep current.

Available options:
MANAGEMENT_KEY_STATUS_UNSPECIFIED,
MANAGEMENT_KEY_STATUS_ACTIVE,
MANAGEMENT_KEY_STATUS_DISABLED,
MANAGEMENT_KEY_STATUS_REVOKED
permission_mode
enum<string>

New permission preset. Omit to keep current.

Available options:
MANAGEMENT_PERMISSION_MODE_UNSPECIFIED,
MANAGEMENT_PERMISSION_MODE_ALL,
MANAGEMENT_PERMISSION_MODE_RESTRICTED,
MANAGEMENT_PERMISSION_MODE_READ_ONLY
access
object

Replacement access map. Required when changing to MANAGEMENT_PERMISSION_MODE_RESTRICTED; ignored otherwise. Provide an empty map to clear.

expires_at
string<date-time>

New expiration. Omit to keep current. Set clear_expires_at = true to remove an existing expiration.

clear_expires_at
boolean

Force-clear the expiration. Mutually exclusive with expires_at.

Response

200 - application/json

OK

management_key
object
required

Updated management-key.